Discover Government News



# Security update for MozillaThunderbird

Announcement ID: SUSE-SU-2024:0608-1  
Rating: important  
References:

  * bsc#1220048

  
Cross-References:

  * CVE-2024-1546
  * CVE-2024-1547
  * CVE-2024-1548
  * CVE-2024-1549
  * CVE-2024-1550
  * CVE-2024-1551
  * CVE-2024-1552
  * CVE-2024-1553

  
CVSS scores:

  
Affected Products:

  * openSUSE Leap 15.5
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Linux Enterprise Workstation Extension 15 SP5
  * SUSE Package Hub 15 15-SP5

  
  
An update that solves eight vulnerabilities can now be installed.

## Description:

This update for MozillaThunderbird fixes the following issues:

Mozilla Thunderbird 115.8 (bsc#1220048):

  * CVE-2024-1546: Out-of-bounds memory read in networking channels
  * CVE-2024-1547: Alert dialog could have been spoofed on another site
  * CVE-2024-1548: Fullscreen Notification could have been hidden by select
    element
  * CVE-2024-1549: Custom cursor could obscure the permission dialog
  * CVE-2024-1550: Mouse cursor re-positioned unexpectedly could have led to
    unintended permission grants
  * CVE-2024-1551: Multipart HTTP Responses would accept the Set-Cookie header
    in response parts
  * CVE-2024-1552: Incorrect code generation on 32-bit ARM devices
  * CVE-2024-1553: Memory safety bugs fixed in Firefox 123, Firefox ESR 115.8,
    and Thunderbird 115.8

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2024-608=1

  * SUSE Package Hub 15 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2024-608=1

  * SUSE Linux Enterprise Workstation Extension 15 SP5  
    zypper in -t patch SUSE-SLE-Product-WE-15-SP5-2024-608=1

## Package List:

  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
    * MozillaThunderbird-115.8.0-150200.8.148.1
    * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1
    * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1
  * SUSE Package Hub 15 15-SP5 (aarch64 ppc64le s390x)
    * MozillaThunderbird-115.8.0-150200.8.148.1
    * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1
    * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1
  * SUSE Linux Enterprise Workstation Extension 15 SP5 (x86_64)
    * MozillaThunderbird-115.8.0-150200.8.148.1
    * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1
    * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1
    * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1

## References:

  * https://www.suse.com/security/cve/CVE-2024-1546.html
  * https://www.suse.com/security/cve/CVE-2024-1547.html
  * https://www.suse.com/security/cve/CVE-2024-1548.html
  * https://www.suse.com/security/cve/CVE-2024-1549.html
  * https://www.suse.com/security/cve/CVE-2024-1550.html
  * https://www.suse.com/security/cve/CVE-2024-1551.html
  * https://www.suse.com/security/cve/CVE-2024-1552.html
  * https://www.suse.com/security/cve/CVE-2024-1553.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1220048

SUSE: 2024:0608-1 important: MozillaThunderbird

February 23, 2024
* bsc#1220048 Cross-References: * CVE-2024-1546 * CVE-2024-1547

Summary

## This update for MozillaThunderbird fixes the following issues: Mozilla Thunderbird 115.8 (bsc#1220048): * CVE-2024-1546: Out-of-bounds memory read in networking channels * CVE-2024-1547: Alert dialog could have been spoofed on another site * CVE-2024-1548: Fullscreen Notification could have been hidden by select element * CVE-2024-1549: Custom cursor could obscure the permission dialog * CVE-2024-1550: Mouse cursor re-positioned unexpectedly could have led to unintended permission grants * CVE-2024-1551: Multipart HTTP Responses would accept the Set-Cookie header in response parts * CVE-2024-1552: Incorrect code generation on 32-bit ARM devices * CVE-2024-1553: Memory safety bugs fixed in Firefox 123, Firefox ESR 115.8, and Thunderbird 115.8 ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2024-608=1 * SUSE Package Hub 15 15-SP5 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2024-608=1 * SUSE Linux Enterprise Workstation Extension 15 SP5 zypper in -t patch SUSE-SLE-Product-WE-15-SP5-2024-608=1 ## Package List: * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64) * MozillaThunderbird-115.8.0-150200.8.148.1 * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1 * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1 * SUSE Package Hub 15 15-SP5 (aarch64 ppc64le s390x) * MozillaThunderbird-115.8.0-150200.8.148.1 * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1 * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1 * SUSE Linux Enterprise Workstation Extension 15 SP5 (x86_64) * MozillaThunderbird-115.8.0-150200.8.148.1 * MozillaThunderbird-debugsource-115.8.0-150200.8.148.1 * MozillaThunderbird-debuginfo-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-common-115.8.0-150200.8.148.1 * MozillaThunderbird-translations-other-115.8.0-150200.8.148.1

References

* bsc#1220048

Cross-

* CVE-2024-1546

* CVE-2024-1547

* CVE-2024-1548

* CVE-2024-1549

* CVE-2024-1550

* CVE-2024-1551

* CVE-2024-1552

* CVE-2024-1553

CVSS scores:

Affected Products:

* openSUSE Leap 15.5

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Linux Enterprise Workstation Extension 15 SP5

* SUSE Package Hub 15 15-SP5

An update that solves eight vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2024-1546.html

* https://www.suse.com/security/cve/CVE-2024-1547.html

* https://www.suse.com/security/cve/CVE-2024-1548.html

* https://www.suse.com/security/cve/CVE-2024-1549.html

* https://www.suse.com/security/cve/CVE-2024-1550.html

* https://www.suse.com/security/cve/CVE-2024-1551.html

* https://www.suse.com/security/cve/CVE-2024-1552.html

* https://www.suse.com/security/cve/CVE-2024-1553.html

* https://bugzilla.suse.com/show_bug.cgi?id=1220048

Severity
Announcement ID: SUSE-SU-2024:0608-1
Rating: important

Related News